<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
<xsl:template match="sm:classes/sm:depth[@onChildren]">
<sm:depth onChildContainers="{@onChildren}">
<xsl:apply-templates select="@*|node()" mode="allExceptOnChildren"/>
</sm:depth>
</xsl:template>
<xsl:template match="sm:classes/sm:targetClasses[@onChildren]">
<sm:targetClasses onChildContainers="{@onChildren}">
<xsl:apply-templates select="@*|node()" mode="allExceptOnChildren"/>
</sm:targetClasses>
</xsl:template>
<xsl:template match="sm:classes/sm:elementType[@onChildren]">
<sm:elementType onChildContainers="{@onChildren}">
<xsl:apply-templates select="@*|node()" mode="allExceptOnChildren"/>
</sm:elementType>
</xsl:template>
<xsl:template match="@onChildren" mode="allExceptOnChildren"/>
<xsl:template match="@*|node()" mode="allExceptOnChildren">
<xsl:copy>
<xsl:apply-templates select="@*|node()" mode="allExceptOnChildren"/>
</xsl:copy>
</xsl:template>
	
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>