<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:tableOfContents">
<sm:WTableOfContents>
<xsl:apply-templates select="@*|node()"/>
</sm:WTableOfContents>
</xsl:template>
<xsl:template match="sm:index">
<sm:WIndex>
<xsl:apply-templates select="@*|node()"/>
</sm:WIndex>
</xsl:template>
	
<xsl:template match="sm:textArea">
<sm:WTextArea>
<xsl:apply-templates select="@*|node()"/>
</sm:WTextArea>
</xsl:template>
<xsl:template match="sm:pictureArea">
<sm:WPictureArea>
<xsl:apply-templates select="@*|node()"/>
</sm:WPictureArea>
</xsl:template>
<xsl:template match="sm:area">
<sm:WArea>
<xsl:apply-templates select="@*|node()"/>
</sm:WArea>
</xsl:template>
<xsl:template match="sm:flowTextArea">
<sm:WFlowTextArea>
<xsl:apply-templates select="@*|node()"/>
</sm:WFlowTextArea>
</xsl:template>
<xsl:template match="sm:flowPictureArea">
<sm:WFlowPictureArea>
<xsl:apply-templates select="@*|node()"/>
</sm:WFlowPictureArea>
</xsl:template>
<xsl:template match="sm:flowArea">
<sm:WFlowArea>
<xsl:apply-templates select="@*|node()"/>
</sm:WFlowArea>
</xsl:template>
	
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
