<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:*[@commonClass]">
<xsl:copy>
<xsl:attribute name="widgetClass"><xsl:value-of select="@commonClass"/></xsl:attribute>	
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
<xsl:template match="@commonClass"/>
	
	
<xsl:template match="*[@sm:commonClass]">
<xsl:copy>
<xsl:attribute name="class"><xsl:value-of select="@sm:commonClass"/></xsl:attribute>	
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
<xsl:template match="@sm:commonClass"/>
	
	
<xsl:template match="sm:defaultStyle"/>
	
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
