<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pWspRoot"/>
	
<xsl:template match="sm:class">
<xsl:copy>
<xsl:attribute name="access">
<xsl:value-of select="si(@allowCreator='yes', 'readWrite', 'readWriteNoCreator')"/>
</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="@allowCreator"/>
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
