<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
<xsl:template match="sm:WImage[sm:width or sm:height]">
<xsl:copy>
<xsl:apply-templates select="@*"/>
<xsl:apply-templates select="sm:binaryUrl"/>
<sm:size>
<xsl:if test="sm:width/sm:fixedValue">
<xsl:attribute name="minWidth"><xsl:value-of select="sm:width/sm:fixedValue/@value"/></xsl:attribute>
<xsl:attribute name="maxWidth"><xsl:value-of select="sm:width/sm:fixedValue/@value"/></xsl:attribute>
</xsl:if>
<xsl:if test="sm:height/sm:fixedValue">
<xsl:attribute name="minHeight"><xsl:value-of select="sm:height/sm:fixedValue/@value"/></xsl:attribute>
<xsl:attribute name="maxHeight"><xsl:value-of select="sm:height/sm:fixedValue/@value"/></xsl:attribute>
</xsl:if>
</sm:size>
<xsl:apply-templates select="sm:longDesc"/>
</xsl:copy>
</xsl:template>
		
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>