<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="@code[name(..)='sm:stylePage' or starts-with(name(..), 'sm:W')]">
<xsl:attribute name="style"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
	
	
<xsl:template match="sm:heading[not(ancestor::sm:contentView)]">
<sm:heading display="always">
<xsl:apply-templates select="@*|node()"/>
</sm:heading>
</xsl:template>
		
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
