<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
	
<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
	
<xsl:template match="sm:sequenceDeclaration">
<xsl:copy>
<xsl:apply-templates select="@*[local-name()!='separator']"/>
<xsl:if test="not(@separator) and @numbering!='none'">
<xsl:attribute name="separator">&#160;</xsl:attribute>
</xsl:if>
<xsl:if test="@separator">
<xsl:attribute name="separator"><xsl:if test="@numbering!='none'">&#160;</xsl:if><xsl:value-of select="concat(., '&#160;')"/></xsl:attribute>
</xsl:if>
</xsl:copy>
</xsl:template>
<xsl:template match="sm:sequenceDeclaration/@prefix">
<xsl:attribute name="prefix"><xsl:value-of select="concat(., '&#160;')"/></xsl:attribute>
</xsl:template>
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
</xsl:stylesheet>
