<?xml version="1.0" encoding="UTF-8"?>

 
 
<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
		xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
		xmlns:java="http://xml.apache.org/xslt/java"
		exclude-result-prefixes="sc sp sm java"
		version="1.0">
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
		
<xsl:template name="tGetRightsAttributes">
<xsl:param name="pRightsTag"/>
<xsl:if test="$pRightsTag/sm:writePerm">
<xsl:attribute name="se:writePerm"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath($pRightsTag/sm:writePerm/@sc:refUri), '/codePerm'))"/></xsl:attribute>
</xsl:if>
<xsl:if test="$pRightsTag/sm:readPerm">
<xsl:attribute name="se:readPerm"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath($pRightsTag/sm:readPerm/@sc:refUri), '/codePerm'))"/></xsl:attribute>
</xsl:if>
</xsl:template>
		
</xsl:stylesheet>