<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm java sc xhtml sp xsl">
	
<xsl0:template name="imgSrcAtts">
<xsl0:param name="pPathPrefix" select="si(@srcFrom='skin', '/site/skin/', '/')"/>
<xsl0:attribute name="src">{resultatAgent('//', 'pubres:<xsl0:value-of select="concat($pPathPrefix,@src)"/>')} </xsl0:attribute>
<xsl0:if test="@overSrc">
<xsl0:attribute name="onmouseover">this.src='{resultatAgent('//', 'pubres:<xsl0:value-of select="concat($pPathPrefix,@overSrc)"/>')}';</xsl0:attribute>
<xsl0:attribute name="onmouseout">this.src='{resultatAgent('//', 'pubres:<xsl0:value-of select="concat($pPathPrefix,@src)"/>')}';</xsl0:attribute>
</xsl0:if>
<xsl0:if test="@actSrc">
<xsl0:attribute name="onmousedown">this.src='{resultatAgent('//', 'pubres:<xsl0:value-of select="concat($pPathPrefix,@actSrc)"/>')}';</xsl0:attribute>
<xsl0:attribute name="onmouseup">this.src='{resultatAgent('//', 'pubres:<xsl0:value-of select="concat($pPathPrefix,returnFirst(@overSrc,@src))"/>')}';</xsl0:attribute>
<xsl0:if test="not(@overSrc)">
<xsl0:attribute name="onmouseout">this.src='{resultatAgent('//', 'pubres:<xsl0:value-of select="concat($pPathPrefix,@src)"/>')}';</xsl0:attribute>
</xsl0:if>
</xsl0:if>
</xsl0:template>

</xsl0:stylesheet>
