<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:java="http://xml.apache.org/xslt/java"
		exclude-result-prefixes="sm sc java"
		version="1.0">
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
	
	
<xsl:template match="sm:freeUiOverlay">		
<uiOverlay onUriKey="{@targetUri}" src="{resultatAgent(concat('//', getIdNode(.)), 'act:')}" sortKey="{returnFirst(@sortKey, '0')}"/>
</xsl:template>
	
	
<xsl:template name="globalExtSource">
<uiOverlay onUriKey="chrome://scenariWsp/content/extTarget.js" src="{resultatAgent('//global.extSource.js', 'act:')}"/>
</xsl:template>
	
<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>