<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:java="http://xml.apache.org/xslt/java"
		exclude-result-prefixes="sm sc java"
		xmlns:so="scenari.eu:xmlOverlay:1.0" 
		xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
		version="1.0">
<xsl:output method="text" encoding="UTF-8"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
	
<xsl:template match="/*">
<xsl:apply-templates select="sm:mainViewsOverlays/sm:class"/>
</xsl:template>
	
<xsl:template match="sm:class[sm:ribbons]">
		
<xsl:variable name="vModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:variable name="vOwner" select="si(resultatAgent('//isPublicClass', codeAgent($vModel))='true', agent(resultatAgent('@@/findOwnerClass', codeAgent($vModel))))"/>
<xsl:if test="$vOwner">
			vPack.addForeignModelExtPointsLoader(	"<xsl:value-of select="resultatAgent($vOwner/key)"/>", 
													"<xsl:value-of select="resultatAgent($vModel/codeModel)"/>", 
													function(pModelExtPoints){<xsl:value-of select="resultatAgent(concat('/@@/wspdefModelExtPoints/', getIdFromPath(@sc:refUri)))"/>});
		
</xsl:if>   
</xsl:template>
	
</xsl:stylesheet>