<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sng="http://relaxng.org/ns/structure/1.0"
		xmlns:snga="http://relaxng.org/ns/compatibility/annotations/1.0"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sc sp sm sng snga xalan"
		version="1.0">
<xsl:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
	
<xsl:include href="bsco:sm/model/relaxNg.xsl"/>
	
<xsl:template match="*">
<sng:start>
<sng:element name="sfm:{resultatAgent('//localNameDescXml')}" snga:title="{chaineProtegeAttHtml(si(@info, concat(filterInlineLoc(@name), ' (',@info, ')'), filterInlineLoc(@name)))}">
<xsl:call-template name="tGetRngDocumentationTag">
<xsl:with-param name="pDocTxt" select="returnFirst(sm:doc, filterInlineLoc(sm:help/@quickHelp))"/>
</xsl:call-template>
<sng:empty/>  
</sng:element>
</sng:start>
</xsl:template>
	
</xsl:stylesheet>