<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="*">
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariWsp/content/windows/contentView/mainview.css" type="text/css"</xsl:processing-instruction>		
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariCollab/content/windows/contentView/mainview.tasks.css" type="text/css"</xsl:processing-instruction>
<window>
<script src="chrome://scenariWsp/content/windows/contentView/mainview.init.js"/>
<script src="chrome://scenariXedLib/content/core/xed.js"/>
<script><![CDATA[
				Components.utils.import("chrome://scenariCollab/content/utils/task.jsm");
				
				var vTaskBox = document.getElementById("taskBox");
				
				// Surcharge de cette action pour réinitialisation correcte de la taskBox (bug reload datepicker)
				var actionRefreshTask = new actions.Action("actionRefreshTask").setGroup("admin").setLabel("Recharger la fenêtre");
				actionRefreshTask.execute = function(pEvent, pContext) {
					try {
						var vTaskBox = pContext.window.document.getElementById("taskBox");
						if(vTaskBox && pContext.window.desk && pContext.window.desk.canCloseDesk && pContext.window.desk.canCloseDesk()) {
							vTaskBox.reload();
						}
					}catch(e){log.debug(e);}
				};
				extPoints.registerSvcByInst("actionRefreshWin", 21, actionRefreshTask);
			]]></script>
<taskBox id="taskBox"
					 title="{resultatAgent('//nameTask')}"
					 taskCode="{resultatAgent('//codeTask')}"
					 editorKey="">
<xsl:if test="sm:security/sm:perms/sm:writePerm/@sc:refUri"><xsl:attribute name="writePerm"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(sm:security/sm:perms/sm:writePerm/@sc:refUri), '/codePerm'))"/></xsl:attribute></xsl:if>
</taskBox>
<script src="chrome://scenariWsp/content/windows/contentView/mainview.launch.js"/>
</window>
</xsl:template>
	
<xsl:template match="text()"/>
	
</xsl:stylesheet>
