<?xml version="1.0" encoding="UTF-8"?>

	
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:xlink="http://www.w3.org/1999/xlink" 
				xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
				xmlns:xalan="http://xml.apache.org/xalan"
				version="1.0"
				exclude-result-prefixes="sm sc xalan">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
	
<xsl:variable name="vXmlPrimitive" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
	
<xsl:template match="*">
<xsl:choose>
<xsl:when test="">
	       
</xsl:when>
	   
</xsl:choose>
	
<xsl:choose>
<xsl:when test="ancestor::sm:for">
<xsl:variable name="vForCode" select="ancestor::sm:for/@codes"/>
				Part(s) liée(s) : 
<xsl:choose>
<xsl:when test="$vForCode='*'">
<xsl:for-each select="$vXmlPrimitive//sm:part">
<xsl:variable name="vCurrentPartCode" select="@code"/>
<xsl:variable name="vCurrentPartName" select="filterInlineLoc(@name)"/>
							- <xsl:value-of select="$vCurrentPartCode"/><xsl:if test="string-length(normalize-space($vCurrentPartName))&gt;0"> (<xsl:value-of select="$vCurrentPartName"/>)</xsl:if>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:for-each select="xalan:tokenize($vForCode, ' ')">
<xsl:variable name="vCurrentPartCode" select="current()"/>
<xsl:variable name="vCurrentPartName" select="filterInlineLoc($vXmlPrimitive//*[@code=$vCurrentPartCode]/@name)"/>
							- <xsl:value-of select="$vCurrentPartCode"/><xsl:if test="string-length(normalize-space($vCurrentPartName))&gt;0"> (<xsl:value-of select="$vCurrentPartName"/>)</xsl:if>
</xsl:for-each>.
</xsl:otherwise>
</xsl:choose>
</xsl:when>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>