<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	extension-element-prefixes="repeat"
	exclude-result-prefixes="sm sc sp se java sma">

<xsl:import href="bsco:sma/commonUnit.xed.xml.xsl"/>
<xsl:import href="bsco:sma/common.xed.xml.xsl"/>
<xsl:import href="bsco:sma/feedbackIntervals.xed.xml.xsl"/>
<xsl:import href="bsco:sma/hint.xed.xml.xsl"/>

<xsl:import href="bs:formBase.xed.xml.xsl"/>

<xsl:variable name="vFormEditor" select="."/>
	
<xsl:template match="sm:formEditor">
<xsl:apply-templates select="/*"/>
</xsl:template>
</xsl:stylesheet>
