<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sma="kelis.fr:scenari/modeling/assessment"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		exclude-result-prefixes="sc sp sm xsl sma"
		version="1.0">
<xsl0:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:include href="bsco:sm/model/ssGenAttr.xsl.xsl"/>
	
<xsl0:template match="sma:assmntUnitMcqPrim">
<xsl0:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl0:value-of select="execute(setEntryBuffer('ns', 'sp', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', string(sm:identification/@targetPrefix)))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', 'sp'))"/>
		
<xsl:template match="{resultatAgent('//qNameTagRootModel')}">
<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>
		
<xsl0:apply-templates select="sm:storage/sm:index"/>
</xsl0:template>
	
	
	
</xsl0:stylesheet>