<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:dataBlockDeclaration">
<sm:dataBlockDeclaration>
<xsl:apply-templates select="@*"/>
<xsl:choose>
<xsl:when test="count(*)=0"><sm:noContent/></xsl:when>
<xsl:otherwise>
<sm:content><xsl:apply-templates select="*[name()!='sm:noContent' and name()!='sm:content' and name()!='sm:conditionalContent']"/></sm:content>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates select="*[name()='sm:noContent' or name()='sm:content' or name()='sm:conditionalContent']"/>
</sm:dataBlockDeclaration>
</xsl:template>
		
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
