<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
	

<xsl:template match="/*">
<xsl:copy>
<xsl:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl:attribute>
<xsl:attribute name="xmlns:sm">http://www.utc.fr/ics/scenari/v3/modeling</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:options">
<sm:modules>
<xsl:apply-templates select="@*|node()"/>
</sm:modules>
</xsl:template>
	
	
<xsl:template match="sm:os">
<sm:make>
<xsl:apply-templates select="@*|node()"/>
</sm:make>
</xsl:template>
	
	
<xsl:template match="sm:description[ancestor::sm:makeWin or ancestor::sm:makeLin]">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
<sm:makeX86/>
</xsl:template>
	
	
<xsl:template match="sm:localWspServer"> 
<sm:embeddedServer>
<xsl:apply-templates select="@*|node()"/>
</sm:embeddedServer>
</xsl:template>
	
	
<xsl:template match="sm:distantWspServer"> 
<sm:distantServer>
<xsl:apply-templates select="@*|node()"/>
</sm:distantServer>
</xsl:template>
    
    
<xsl:template match="sm:proxyManager"> 
<sm:proxy>
<xsl:apply-templates select="@*|node()"/>
</sm:proxy>
</xsl:template>
<xsl:template match="sm:proxyManager/@showWindow"/>
    
    
    
	
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
