<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>
	
	
<xsl:template match="/*">
<xsl:copy>
<xsl:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl:attribute>
<xsl:attribute name="xmlns:sm">http://www.utc.fr/ics/scenari/v3/modeling</xsl:attribute>
<xsl:attribute name="xmlns:sext">http://www.utc.fr/ics/scenari/v3/modeling/extension</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="/sm:dataFormPrim/sm:authoring/sm:htmlPreview | /sm:textPrim/sm:authoring/sm:htmlPreview"/>
	
	
<xsl:template match="sm:htmlPreview | /sm:audioPrim/sm:authoring/sm:previewBlock | /sm:binaryPrim/sm:authoring/sm:previewBlock | /sm:videoPrim/sm:authoring/sm:previewBlock">
<sm:preview>
<xsl:apply-templates select="@*|node()"/>
</sm:preview>
</xsl:template>
		
	
	
    
    
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
