<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:include href="bsco:sm/organisationPrims/mainviewInc.xul.xsl"/>
	
<xsl:template match="*">
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariWsp/content/windows/contentView/mainview.css" type="text/css"</xsl:processing-instruction>
<window head="{name()}">
<script src="chrome://scenariWsp/content/windows/contentView/mainview.init.js"/>
<ribbon/>
<sctabs id="sctabs">
<xsl:apply-templates select="computeNodeAgent('@@/mainView', codeAgent('//'))/*" mode="mainview"/>
</sctabs>
<script src="chrome://scenariWsp/content/windows/contentView/mainview.launch.js"/>
</window>
</xsl:template>
	
<xsl:template match="text()"/>
	
</xsl:stylesheet>
