<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm java sc xhtml sp xsl">
	
	

	
	
<xsl0:template name="tooltipOptions">
<xsl0:choose>
<xsl0:when test="sm:tooltip"><xsl0:for-each select="sm:tooltip"><xsl0:call-template name="xTooltipOptions"/></xsl0:for-each></xsl0:when>
<xsl0:otherwise><xsl0:call-template name="xTooltipOptions"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
	
<xsl0:template name="xTooltipOptions">
<xsl0:value-of select="si(sm:behavior/@showDelay,concat('DELAY:',sm:behavior/@showDelay,','),'')"/>
<xsl0:value-of select="si(sm:behavior/@showTime,concat('TEMP:',sm:behavior/@showTime,','),'')"/>
<xsl0:value-of select="si(sm:behavior/@sticky,concat('STICKY:',sm:behavior/@sticky,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:relativeToCursor/@horizontal='leftOfCursor','LEFT:true,','')"/>
<xsl0:value-of select="si(sm:position/sm:relativeToCursor/@horizontalOffset,concat('OFFSETX:',sm:position/sm:relativeToCursor/@horizontalOffset,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:relativeToCursor/@vertical='aboveCursor','ABOVE:true,','')"/>
<xsl0:value-of select="si(sm:position/sm:relativeToCursor/@verticalOffset,concat('OFFSETY:',sm:position/sm:relativeToCursor/@verticalOffset,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:relativeToCursor/@followCursor='false','STATIC:true,','')"/>
<xsl0:value-of select="si(sm:position/sm:relativeToAnchor,concat('FIXTYPE:&quot;node&quot;,FIX:[',si(sm:position/sm:relativeToAnchor/@horizontalOffset,sm:position/sm:relativeToAnchor/@horizontalOffset,'0'),',',si(sm:position/sm:relativeToAnchor/@verticalOffset,sm:position/sm:relativeToAnchor/@verticalOffset,'0'),'],'),'')"/>
<xsl0:value-of select="si(sm:position/sm:relativeToAnchor/@horizontal,concat('HPOS:&quot;',sm:position/sm:relativeToAnchor/@horizontal,'&quot;,'),'')"/>
<xsl0:value-of select="si(sm:position/sm:relativeToAnchor/@vertical,concat('VPOS:&quot;',sm:position/sm:relativeToAnchor/@vertical,'&quot;,'),'')"/>
<xsl0:value-of select="si(sm:position/sm:fixed,concat('FIX:[',si(sm:position/sm:fixed/@horizontalOffset,sm:position/sm:fixed/@horizontalOffset,'0'),',',si(sm:position/sm:fixed/@verticalOffset,sm:position/sm:fixed/@verticalOffset,'0'),'],'),'')"/>
<xsl0:value-of select="si(sm:position/sm:fixed/@baseObjectId,concat('FIXTYPE:&quot;id&quot;,FIXID:&quot;',sm:position/sm:fixed/@baseObjectId,'&quot;,'),si(sm:position/sm:fixed,'FIXTYPE:&quot;win&quot;,',''))"/>
<xsl0:value-of select="si(sm:position/sm:fixed/@horizontal,concat('HPOS:&quot;',sm:position/sm:fixed/@horizontal,'&quot;,'),'')"/>
<xsl0:value-of select="si(sm:position/sm:fixed/@vertical,concat('VPOS:&quot;',sm:position/sm:fixed/@vertical,'&quot;,'),'')"/>
<xsl0:value-of select="si(sm:position/sm:free,'FIXTYPE:&quot;free&quot;,','')"/>
<xsl0:value-of select="si(sm:dimensions/@maxWidth,concat('MAXWIDTH:',sm:dimensions/@maxWidth,','),'')"/>
<xsl0:value-of select="si(sm:dimensions/@maxHeight,concat('MAXHEIGHT:',sm:dimensions/@maxHeight,','),'')"/>
<xsl0:value-of select="si(sm:shadow,'SHADOW:true,','')"/>
<xsl0:value-of select="si(sm:closeButton,'CLSBTN:true,','')"/>
<xsl0:value-of select="si(sm:closeButton/@caption,concat('CLSBTNCAP:&quot;',sm:closeButton/@caption,'&quot;,'),'')"/>
<xsl0:value-of select="si(sm:closeButton/@title,concat('CLSBTNTI:&quot;',sm:closeButton/@title,'&quot;,'),'')"/>
</xsl0:template>
</xsl0:stylesheet>
