<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:include href="bsco:sm/binaryPrims/mainviewInc.xul.xsl"/>
	
<xsl:template match="sm:previewBlock" mode="mainview">
<xsl:choose>
<xsl:when test="$vAuthoring/sm:preview/sm:htmlViewer">
<blockhtml titleblock="{@name}" onopenblock="this.setAttribute('src', document.fUriObject.getContentUrl(vMainStreamSrcUri));">
<xsl:call-template name="displayMode"/>
<xsl:call-template name="idInView"/>
</blockhtml>
</xsl:when>
<xsl:when test="$vAuthoring/sm:preview/sm:mp3Viewer">
<block id="idBlock" titleblock="{@name}">
<xsl:call-template name="displayMode"/>
<xsl:call-template name="idInView"/>
<iframe src="{resultatAgent('//preview.xul', 'act:')}" flex="1"/>
</block>
</xsl:when>
</xsl:choose>
</xsl:template>
	
</xsl:stylesheet>
