<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc java">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:include href="bs:players/preview.mp3.xsl"/>
	
<xsl:template match="sm:preview">
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariWsp/content/windows/subView/subview.css" type="text/css"</xsl:processing-instruction>
<window onload="init();">
<script src="chrome://scenariWsp/content/windows/subView/subview.js"/>
<script>
			     var _Opts = "&amp;showvolume=1&amp;showstop=1&amp;showtime=1&amp;showplayer=always&amp;bgcolor1=53933d&amp;bgcolor2=3d6c2d&amp;buttonovercolor=86ee62&amp;sliderovercolor=86ee62&amp;width=400px&amp;height=20px";
</script>
<xsl:apply-templates/>
<vbox flex="1" pack="center" align="center" id="content" style="background-color:white;overflow:auto;"></vbox>
</window>
</xsl:template>
<xsl:template match="node()"/>
</xsl:stylesheet>
