<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sfm="http://www.utc.fr/ics/scenari/v3/filemeta"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	exclude-result-prefixes="sm java">
	
<xsl0:output method="xml" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vXmlPrim" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
<xsl0:variable name="vCodeTransformer" select="resultatAgent('//codeTransformer')"/>
<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>

<xsl0:template match="sm:binaryOdTransf">
<xsl0:if test="computeNodeAgent($vAgentModel/source)/sm:structure/sm:meta/@sc:refUri">
			
			
<redirect code="metaAgt">
<pathAgent type="xpath-statique">concat('@', getIdNode(.), '_meta')</pathAgent>
</redirect>
			
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'fullTitleText')</source>
</valeur>
			
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'shortTitleText')</source>
</valeur>
</xsl0:if>
</xsl0:template>
<xsl0:template match="*"/>
</xsl0:stylesheet>
