<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
                 xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias"  
                 xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
                 xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
                 xmlns:java="http://xml.apache.org/xslt/java" 
                 xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
			     xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
			     xmlns:dc="http://purl.org/dc/elements/1.1/"
                 version="1.0" exclude-result-prefixes="xsl sm sc java">
    
    
<xsl0:template name="tGetWidgetCateg">
<xsl0:param name="pLocalName"/>
<xsl0:choose>
<xsl0:when test="$pLocalName='paraTag'">WParagraph</xsl0:when>
<xsl0:when test="$pLocalName='WLink'">WInline</xsl0:when>
<xsl0:when test="$pLocalName='orderedListTag' or $pLocalName='itemizedListTag' or $pLocalName='simpleListTag'">WListWithPara</xsl0:when>
<xsl0:when test="$pLocalName='WImage'">WObject</xsl0:when>
<xsl0:when test="starts-with($pLocalName, 'textLeafTag') or $pLocalName='inlineStyleTag' or $pLocalName='phraseTag'">WInlineExt</xsl0:when>
<xsl0:otherwise><xsl0:value-of select="local-name()"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
		
</xsl0:stylesheet>
