<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sng="http://relaxng.org/ns/structure/1.0"
		xmlns:snga="http://relaxng.org/ns/compatibility/annotations/1.0"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sc sp sm sng snga xalan"
		version="1.0">
	
<xsl:import href="bsco:sm/compositionPrim/relaxNg.rng.xsl"/>
<xsl:import href="bsco:sma/feedbackIntervals.rng.xsl"/>
	
<xsl:template name="partProperties">
<xsl:for-each select="sm:properties/sm:globalRating">
<sng:element name="sc:globalRating" snga:title="{filterInlineLoc(@name)}">
<sng:attribute name="rate">
<sng:data type="string">
<sng:param name="minLength ">1</sng:param>
</sng:data>
</sng:attribute>
<sng:empty/>
</sng:element>
</xsl:for-each>
</xsl:template>
	
</xsl:stylesheet>